HWLOC-COMPRESS-DIR(1)

NAME
hwloc-compress-dir - Compress a directory of XML topologies

SYNOPSIS
hwloc-compress-dir [options] <inputdir> <outputdir>

OPTIONS

-R --reverse
    Uncompress a previously compressed directory.

-v --verbose
    Display verbose messages.

DESCRIPTION
hwloc-compress-dir takes an input directory containing XML exports and tries to compress it by computing topology diffs between them (with the hwloc-diff program). Each file is copied in the output directory either as a diff if it could be compressed, or as its original entire file otherwise.

hwloc-compress-dir may recompress a directory that was previously compressed. All input files that are already in the output directory, either compressed or not, are ignored. New input files are compressed as much as possible as usual.

For each file of the directory, the output filename is the same as the original if not compressed, otherwise its extension is changed to .diff.xml.

Compressed files are based on another non-compressed topology. Its name is stored in the refname topology diff attribute.

The generated output diff files may be used with hwloc-patch just like any file generated by hwloc-diff.

EXAMPLES

To compress the input files from directory in into directory out:
    $ hwloc-compress-dir in out

RETURN VALUE
Upon successful execution, hwloc-compress-dir returns 0.

hwloc-compress-dir will return nonzero if any kind of error occurs, such as (but not limited to) failure to parse the command line.

SEE ALSO
hwloc(7), lstopo(1), hwloc-diff(1), hwloc-patch(1)